Package org.springframework.scheduling.annotation

# Annotation Interface Schedules

@Target({METHOD,ANNOTATION_TYPE}) @Retention(RUNTIME) @Documented @Reflective public @interface Schedules
Container annotation that aggregates several `Scheduled` annotations.

Can be used natively, declaring several nested `Scheduled` annotations. Can also be used in conjunction with Java 8's support for repeatable annotations, where `Scheduled` can simply be declared several times on the same method, implicitly generating this container annotation.

This annotation may be used as a meta-annotation to create custom composed annotations.

Since:
  4.0
Author:
  Juergen Hoeller
See Also:
  - `Scheduled`

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`Scheduled[]`
`value`

## Element Details

### value

Scheduled[] value